summaryrefslogtreecommitdiff
path: root/dev-python/python-utils/python-utils-3.1.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-15 09:03:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-01-15 09:03:44 +0000
commit4cbcd3347fecebeb3f9cf14e634f333a21664104 (patch)
treeb44f5b1943e6b6f64bd9c291321c7405cbad656a /dev-python/python-utils/python-utils-3.1.0.ebuild
parentb12f03389c8503901aeb56263e848c3160f54d17 (diff)
downloadbaldeagleos-repo-4cbcd3347fecebeb3f9cf14e634f333a21664104.tar.gz
baldeagleos-repo-4cbcd3347fecebeb3f9cf14e634f333a21664104.tar.xz
baldeagleos-repo-4cbcd3347fecebeb3f9cf14e634f333a21664104.zip
Adding metadata
Diffstat (limited to 'dev-python/python-utils/python-utils-3.1.0.ebuild')
-rw-r--r--dev-python/python-utils/python-utils-3.1.0.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/dev-python/python-utils/python-utils-3.1.0.ebuild b/dev-python/python-utils/python-utils-3.1.0.ebuild
new file mode 100644
index 000000000000..be7a0fd85f2d
--- /dev/null
+++ b/dev-python/python-utils/python-utils-3.1.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Collection of small Python functions & classes"
+HOMEPAGE="https://pypi.org/project/python-utils/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="test? ( dev-python/pytest-asyncio[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ docs
+)
+
+python_prepare_all() {
+ sed -i -e '/--cov/d' -e '/--mypy/d' pytest.ini || die
+ distutils-r1_python_prepare_all
+}